: Class ProdHtmlGen

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ProdHtmlGen

    java.lang.Object
      |
      +--ProdHtmlGen

public class ProdHtmlGen
extends java.lang.Object

Method Summary
`static void` | `addHtmlFooter(java.io.PrintWriter pw)`
`static void` | `addHtmlHeader(java.io.PrintWriter pw, java.lang.String title)`
`static void` | `linksToPages(java.io.PrintWriter pw)`
`static void` | `showCategoryAdditionForm(java.io.PrintWriter pw, java.lang.String parentName)`
`static void` | `showChilds(java.io.PrintWriter pw, java.util.Vector v, java.lang.String browseOrSell)`
`static void` | `showChildsWithAddingOption(java.io.PrintWriter pw, java.util.Vector v, java.lang.String whereFrom, java.lang.String sysOption)`
`static void` | `showChildsWithDeletingOption(java.io.PrintWriter pw, java.util.Vector v, java.lang.String whereFrom, java.lang.String sysOption)`
`static void` | `showMessage(java.io.PrintWriter pw, java.lang.String mesg)`
`static void` | `showProductDetailsTable(java.io.PrintWriter pw, java.lang.String catName, java.util.Vector prodDetailsVec)`
`static void` | `showSysadOptions(java.io.PrintWriter pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addHtmlHeader

    public static void addHtmlHeader(java.io.PrintWriter pw,
                                     java.lang.String title)

### linksToPages

    public static void linksToPages(java.io.PrintWriter pw)

### addHtmlFooter

    public static void addHtmlFooter(java.io.PrintWriter pw)

### showChilds

    public static void showChilds(java.io.PrintWriter pw,
                                  java.util.Vector v,
                                  java.lang.String browseOrSell)

### showChildsWithAddingOption

    public static void showChildsWithAddingOption(java.io.PrintWriter pw,
                                                  java.util.Vector v,
                                                  java.lang.String whereFrom,
                                                  java.lang.String sysOption)

### showChildsWithDeletingOption

    public static void showChildsWithDeletingOption(java.io.PrintWriter pw,
                                                    java.util.Vector v,
                                                    java.lang.String whereFrom,
                                                    java.lang.String sysOption)

### showCategoryAdditionForm

    public static void showCategoryAdditionForm(java.io.PrintWriter pw,
                                                java.lang.String parentName)

### showProductDetailsTable

    public static void showProductDetailsTable(java.io.PrintWriter pw,
                                               java.lang.String catName,
                                               java.util.Vector prodDetailsVec)

### showSysadOptions

    public static void showSysadOptions(java.io.PrintWriter pw)

### showMessage

    public static void showMessage(java.io.PrintWriter pw,
                                   java.lang.String mesg)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD